OAuth Client Only Authentication
oauth#test - Use the client level token for read api access
You can use the client level access token to access public endpoints that don't need user context.
Request
Route
POST /v2/api/graphql
Headers
Accept: application/json Content-Type: application/json Authorization: Bearer your_access_token Host: api.producthunt.com
Body
{
"query": "query { posts(first: 1) { edges { node { id, name } } } }"
}
Response
Status
200 OK
Headers
X-Frame-Options: SAMEORIGIN X-XSS-Protection: 1; mode=block X-Content-Type-Options: nosniff X-Rate-Limit-Limit: 900 X-Rate-Limit-Remaining: 900 X-Rate-Limit-Reset: 900 ETag: "72257e1e023ef8af40373dee90a63c9a" Content-Type: application/json; charset=utf-8 Cache-Control: max-age=0, private, must-revalidate Content-Length: 7503
Body
{
"data": {
"posts": {
"edges": [
{
"node": {
"id": 139993,
"name": "Parla X"
}
}
]
}
}
}